Loading...
Searching...
No Matches
URL Parsing Options

## Variables

const | Qore::QURL_DECODE = QURL_DECODE
| Perform percent decoding on the `"host"`, `"username"`, and `"password"` fields.
const | Qore::QURL_DECODE_PATH = QURL_DECODE_PATH
| Decodes all fields like QURL_DECODE plus also performs percent decoding on `"path"` and `"query"` fields.
const | Qore::QURL_KEEP_BRACKETS = QURL_KEEP_BRACKETS
| If the hostname or address is enclosed in square brackets, the brackets will be included in the `"host"` key.

## Detailed Description

Since
  Qore 1.0.10

## Variable Documentation

## QURL_KEEP_BRACKETS

const Qore::QURL_KEEP_BRACKETS = QURL_KEEP_BRACKETS

If the hostname or address is enclosed in square brackets, the brackets will be included in the `"host"` key.

Square brackets are used by some Qore methods to denote IPv6 addresses; for example see Socket::connect()